Subject: New Reply Received - Service sucks, agents don’t even understand what they are doing. Called so manh time and everytime w...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jul 2020 17:08:15 +0000

Hi Ammar Ali,  The customer has responded to the ticket.  Service sucks, agents don’t even understand what they are doing. Called so manh time and everytime w...  Ticket comment <div>Babyshop  8389113677 
I ordered online and I got a mesaage from the bank that the amount has been deducted when I received an email saying that the payment did not go through ans the order is cancelled. I called so many times first time I was told that the order is active and this message is for the items that are out of stock, second i was told that the order is cancelled and call you bank to return the money, i called the bank and they said the payment is deducted from our side and we have to call babyshop to return the money there is no issue fron their side, i called babyshop again and they said ohh!! Since the order is cancelles so i am supposed yo receive the money which will take 2-7 days. I called again and they said nothing will be returned to my bank account and will be deposited to the babyshop account as credit forme to make purcheses from babyshop. I ( and my husaband ) called i was told differently that unfortunately we will not be able to return the money without a picture of bank statement proving that the amount has been deducted, i sent the picture then i was told that the email is received and the refund will take 2-14 days to be refunded to my bank account and if not then it is the bank problem. Honestly agents at your call center dors not undestand what they are doing. I asked for supervisor and 2 agents hang up on me or maybe the line got disconnected but nobody even called me back to follow up on my case... worst customer support ever!!!!!!!</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1279443